Class | Bio::Nexus::GenericBlock
In: | lib/bio/db/nexus.rb
Parent: | Object

## DESCRIPTION

Bio::Nexus::GenericBlock represents a generic nexus block. It is mainly intended to be extended into more specific classes, although it is used for blocks not represented by more specific block classes. It has a name and a array for the tokenized content of a nexus block.

## USAGE

      require 'bio/db/nexus'

      # Create a new parser:
      nexus = Bio::Nexus.new( nexus_data_as_string )

      # Get blocks for which no class exists (private blocks)
      as Nexus::GenericBlock:
      private_blocks = nexus.get_blocks_by_name( "my_block" )
      # Get first block names "my_block":
      my_block_0 = private_blocks[ 0 ]
      # Get first token in first block names "my_block":
      first_token = my_block_0.get_tokens[ 0 ]
      # Get name of block (would return "my_block" in this case):
      name = my_block_0.get_name
      # Return data of block as nexus formatted String:
      name = my_block_0.to_nexus

### Methods

add_token get_name get_tokens new to_nexus to_s to_str

### Public Class methods

new( name )

Creates a new GenericBlock object named ‘name’.

Arguments:

- (required) name: String

[Source]

         # File lib/bio/db/nexus.rb, line 775
    775:       def initialize( name )
    776:         @name = name.chomp(";")
    777:         @tokens = Array.new
    778:       end

### Public Instance methods

add_token( token )

Adds a token to this.

Arguments:

- (required) token: String

[Source]

         # File lib/bio/db/nexus.rb, line 817
    817:       def add_token( token )
    818:         @tokens.push( token )
    819:       end

get_name()

Gets the name of this block.

Returns: | String

[Source]

         # File lib/bio/db/nexus.rb, line 784
    784:       def get_name
    785:         @name
    786:       end

get_tokens()

Returns contents as Array of Strings.

Returns: | Array

[Source]

         # File lib/bio/db/nexus.rb, line 792
    792:       def get_tokens
    793:         @tokens
    794:       end

to_nexus()

Should return a String describing this block as nexus formatted data.

Returns: | String

[Source]

         # File lib/bio/db/nexus.rb, line 808
    808:       def to_nexus
    809:         str = "generic block \"" + get_name + "\" [do not know how to write in nexus format]"
    810:       end

to_s()

Same as to_nexus.

Returns: | String

[Source]

         # File lib/bio/db/nexus.rb, line 800
    800:       def to_s
    801:         to_nexus
    802:       end

to_str()

Alias for to_s

[Validate]